This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 464809 - iscsid init script kills itself when restart is requested
iscsid init script kills itself when restart is requested
Status: CLOSED DUPLICATE of bug 253834
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: iscsi-initiator-utils (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Mike Christie
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-30 12:08 EDT by Milos Malik
Modified: 2010-04-21 08:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-14 17:10:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2008-09-30 12:08:19 EDT
Description of problem:
When you run /etc/init.d/iscsid restart as root, the init script kills the running daemon and itself, so the daemon will not be started again. You have to do it manually.

The init script uses "pkill -KILL iscsid" to kill the daemon. Unfortunately the command also kills the init script itself.

Version-Release number of selected component (if applicable):
iscsi-initiator-utils-6.2.0.868-0.7.el5

How reproducible:
always

Steps to Reproduce:
# /etc/init.d/iscsid start
Turning off network shutdown. Starting iSCSI daemon: [  OK  ]
[  OK  ]
# echo $?
0
# /etc/init.d/iscsid restart
Stopping iSCSI daemon: Killed
# echo $?
137
# 
  
Actual results:
The init script stops the iscsid but does not start it.

Expected results:
The init script stops the iscsid and starts it again.

Additional info:
Comment 1 Mike Christie 2008-09-30 12:46:00 EDT
I think this will be fixed in bz 253834. Do you have access to our 5.3 beta/rc/alpha code? The updated rpm is iscsi-initiator-utils-6.2.0.868-0.11.el5. I can send a link to the updated code if you need it.
Comment 3 Milos Malik 2008-10-14 07:49:59 EDT
The bug is fixed in iscsi-initiator-utils-6.2.0.868-0.11.el5. Tested on RHEL5.3-Server-20081012.nightly (i386, ia64, x86_64).

:: [06:33:30] Begin Test - /CoreOS/iscsi-initiator-utils/Regression/bz464809-1.0 ::

:: Restarting iscsid ::
Stopping iSCSI daemon: 
Turning off network shutdown. Starting iSCSI daemon: [  OK  ]
[  OK  ]
        * exit code: 0
        * iscsid is running <-- correct

:: [06:33:34] End Test - /CoreOS/iscsi-initiator-utils/Regression/bz464809-1.0 ::

:: SCORE: 2/2 ::

:: RESULT: PASS ::

Note You need to log in before you can comment on or make changes to this bug.